coreEngine.Calibration.Distributions

## Class Bin3NDist

- java.lang.Object
- - coreEngine.Calibration.Distributions.Distribution
  - - coreEngine.Calibration.Distributions.Bin3Dist
    - - coreEngine.Calibration.Distributions.Bin3NDist

-     public class Bin3NDist
      extends Bin3Dist

  Author:
    jlake

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `float` | `normVal`
    `boolean` | `normValSet`

    - ### Fields inherited from class coreEngine.Calibration.Distributions.Bin3Dist

      `alpha1, ALPHA1_MAX, ALPHA1_MIN, ALPHA1_STEP, alpha2, ALPHA2_MAX, ALPHA2_MIN, ALPHA2_STEP, alpha3, ALPHA3_MAX, ALPHA3_MIN, ALPHA3_STEP, d1Type, d2Type, d3Type, mu1, MU1_MAX, MU1_MIN, MU1_STEP, mu2, MU2_MAX, MU2_MIN, MU2_STEP, mu3, MU3_MAX, MU3_MIN, MU3_STEP, nDist1, nDist2, nDist3, sigma1, SIGMA1_MAX, SIGMA1_MIN, SIGMA1_STEP, sigma2, SIGMA2_MAX, SIGMA2_MIN, SIGMA2_STEP, sigma3, SIGMA3_MAX, SIGMA3_MIN, SIGMA3_STEP`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Bin3NDist()`
    `Bin3NDist(java.lang.String alpha1, java.lang.String alpha2, java.lang.String alpha3, java.lang.String d1Type, java.lang.String mu1, java.lang.String sigma1, java.lang.String d2Type, java.lang.String mu2, java.lang.String sigma2, java.lang.String d3Type, java.lang.String mu3, java.lang.String sigma3)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `private float` | `calcPDF(float x)`
    `Distribution` | `clone()`
    `Distribution[]` | `crossover(Distribution mate)`
    `float` | `getValue(double period)`
    `float` | `getValue(float period)`
    `float` | `getValue(int period)`
    `void` | `mutate()`
    `void` | `mutate(int paramIdx)`
    `void` | `setAlpha1(double newAlpha)`
    `void` | `setAlpha2(double newAlpha)`
    `void` | `setAlpha3(double newAlpha)`
    `void` | `setMu1(double newMu1)`
    `void` | `setMu2(double newMu2)`
    `void` | `setMu3(double newMu3)`
    `private void` | `setNormVal()`
    `void` | `setSigma1(double newSigma1)`
    `void` | `setSigma2(double newSigma2)`
    `void` | `setSigma3(double newSigma3)`

    - ### Methods inherited from class coreEngine.Calibration.Distributions.Bin3Dist

      `getAlpha1, getAlpha2, getAlpha3, getConcatBinEncoding, getMu1, getMu2, getMu3, getSigma1, getSigma2, getSigma3, mutate, setBinaryDigits, toString`

    - ### Methods inherited from class java.lang.Object

      `equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### normValSet

          public boolean normValSet

    - #### normVal

          public float normVal

  - ### Constructor Detail

    - #### Bin3NDist

          public Bin3NDist()

    - #### Bin3NDist

          public Bin3NDist(java.lang.String alpha1,
                           java.lang.String alpha2,
                           java.lang.String alpha3,
                           java.lang.String d1Type,
                           java.lang.String mu1,
                           java.lang.String sigma1,
                           java.lang.String d2Type,
                           java.lang.String mu2,
                           java.lang.String sigma2,
                           java.lang.String d3Type,
                           java.lang.String mu3,
                           java.lang.String sigma3)

  - ### Method Detail

    - #### getValue

          public float getValue(int period)

      Overrides:
        `getValue` in class `Bin3Dist`

    - #### getValue

          public float getValue(float period)

      Overrides:
        `getValue` in class `Bin3Dist`

    - #### getValue

          public float getValue(double period)

      Overrides:
        `getValue` in class `Bin3Dist`

    - #### clone

          public Distribution clone()

      Overrides:
        `clone` in class `Bin3Dist`

    - #### mutate

          public void mutate()

      Overrides:
        `mutate` in class `Bin3Dist`

    - #### mutate

          public void mutate(int paramIdx)

      Overrides:
        `mutate` in class `Bin3Dist`

    - #### crossover

          public Distribution[] crossover(Distribution mate)

      Overrides:
        `crossover` in class `Bin3Dist`

    - #### setAlpha1

          public void setAlpha1(double newAlpha)

      Overrides:
        `setAlpha1` in class `Bin3Dist`

    - #### setAlpha2

          public void setAlpha2(double newAlpha)

      Overrides:
        `setAlpha2` in class `Bin3Dist`

    - #### setAlpha3

          public void setAlpha3(double newAlpha)

      Overrides:
        `setAlpha3` in class `Bin3Dist`

    - #### setMu1

          public void setMu1(double newMu1)

      Overrides:
        `setMu1` in class `Bin3Dist`

    - #### setSigma1

          public void setSigma1(double newSigma1)

      Overrides:
        `setSigma1` in class `Bin3Dist`

    - #### setMu2

          public void setMu2(double newMu2)

      Overrides:
        `setMu2` in class `Bin3Dist`

    - #### setSigma2

          public void setSigma2(double newSigma2)

      Overrides:
        `setSigma2` in class `Bin3Dist`

    - #### setMu3

          public void setMu3(double newMu3)

      Overrides:
        `setMu3` in class `Bin3Dist`

    - #### setSigma3

          public void setSigma3(double newSigma3)

      Overrides:
        `setSigma3` in class `Bin3Dist`

    - #### calcPDF

          private float calcPDF(float x)

    - #### setNormVal

          private void setNormVal()